Bug 57393 - startup script fails to kill ypbind when binding fails
Summary: startup script fails to kill ypbind when binding fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypbind   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-11 16:15 UTC by Jonathan Miner
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-11 16:19:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff -c output from /etc/rc.d/init.d/ypbind (422 bytes, patch)
2001-12-11 16:19 UTC, Jonathan Miner
no flags Details | Diff

Description Jonathan Miner 2001-12-11 16:15:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12smp i686)

Description of problem:
We have laptops running RH7.1 which are part of our YP network.  When the
machines boot up away from the network, the /etc/rc.d/init.d/ypbind script
fails to kill ypbind.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the laptop away from the network
2. ps -ef | grep yp

	

Actual Results:  ypbind is still running and generating domain not bound
messages, even though the /etc/rc.d/init.d/ypbind tries to execute a "kill"
command after the binding fails.

Expected Results:  ypbind should not be running.

Additional info:

My fix is to replace "kill $pid" with "stop" in the /etc/rc.d/init.d/ypbind
script (line 58)

Comment 1 Jonathan Miner 2001-12-11 16:19:49 UTC
Created attachment 40348 [details]
diff -c output from /etc/rc.d/init.d/ypbind

Comment 2 Florian La Roche 2002-03-10 12:36:19 UTC
I have aded this change into the next rpm.

Thanks for your report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.